{
  stdenv,
  fetchurl,
  zstd,
  gnutar,
}: let
  version = "v2025.1-beta5.patch2.security1";
in
  stdenv.mkDerivation {
    name = "iceshrimp";
    src = fetchurl {
      url = "https://iceshrimp.dev/iceshrimp/Iceshrimp.NET/releases/download/v2025.1-beta5.patch2.security1/Iceshrimp.NET-${version}-linux-amd64-glibc.tar.zst";
      hash = "sha256-Uwstie81M3kM9CjukIG+wXpxp91uTuXFMB/fZlFWsMk=";
    };

    nativeBuildInputs = [
      zstd
      gnutar
    ];

    unpackPhase = ''
      runHook preUnpack

      mkdir -p $out

      tar xf $src
      cp -r * $out

      runHook postUnpack
    '';
  }
